Description

Hi there,

I'm trying to get conky running together with subtle. I'm facing a quite weird behaviour.

When I start conky it should be displayed on view '2' which works well. In the configuration I configured a gravity of :right33

(subtle.rb) When I switch to view '2' I see the conky window at the correct position for about 2 seconds, then it disappeard or is put on

position :top_left. During my tests I reduced the conky config to the absolute minimum (conkyrc.system). If I start subtler with the

parameters -l -c, then I got a 'no geometry given' error.

https://gist.github.com/4547961 with conkyrc, subtle.rb and the console ouput of subtler.

Cheers,

andi_artig

History

#1 - 01/16/2013 04:57 PM - Christoph Kappel

Without checking your config, did you try to let conky draw onto the root window?

#2 - 01/16/2013 08:30 PM - andi artig

Yeah, I tried that. But my setup consists of two conky instances showing different information: one left and one right. So drawing to the root window

does not work for my use case. I reduced the setup to the one on the right side to make debugging easier.

 ---          ---

| 1 |        | 2 |

|   |        |   |

 ---          ---

#3 - 01/17/2013 04:55 PM - Christoph Kappel

Can you post the output of xprop of both your conky windows?

#4 - 01/18/2013 08:00 AM - andi artig

Hi there,

to match the configs I uploaded, I just captured the values of window 2

Window 2

_NET_FRAME_EXTENTS(CARDINAL) = 0, 0, 0, 0

_NET_WM_DESKTOP(CARDINAL) = 1

SUBTLE_CLIENT_SCREEN(CARDINAL) = 0

SUBTLE_CLIENT_GRAVITY(CARDINAL) = 20

SUBTLE_CLIENT_FLAGS(CARDINAL) = 0

_NET_WM_STATE(ATOM) = 
SUBTLE_CLIENT_TAGS(CARDINAL) = 16

WM_STATE(WM_STATE):

                window state: Normal

                icon window: 0x4

_NET_WM_WINDOW_TYPE(ATOM) = _NET_WM_WINDOW_TYPE_NORMAL

WM_PROTOCOLS(ATOM): protocols  

WM_NAME(STRING) = "Conky (<host>)" 

WM_LOCALE_NAME(STRING) = "en_GB.utf8" 

WM_CLASS(STRING) = "conky-system", "conky-system" 

WM_HINTS(WM_HINTS):

                Client accepts input or input focus: True

                Initial state is Normal State.

WM_CLIENT_MACHINE(STRING) = "<host>" 

WM_COMMAND(STRING) = { "/usr/bin/conky", "-c", "/home/<user>/.config/conky/conkyrc.system" }

#5 - 01/19/2013 05:03 PM - Christoph Kappel

Hey, I doubt that it is subtle's fault here, because conky just says its toplevel window of normal type and should be handled like every other window.

So I cannot really comment on the behaviour without testing.

Well, I don't see me adding a kind of exclusion for stupid clients. ;)

#6 - 01/29/2013 09:33 PM - andi artig

Well, I don't see me adding a kind of exclusion for stupid clients. ;)

 

Hey there, sorry for the delay. I got a quite serious flu... :( Any information I can provide? Or any idea where I can look for errors? Or tools to use to

find the error?

#7 - 01/04/2018 12:15 PM - Christoph Kappel

- Status changed from Unconfirmed to Closed
